﻿@model Xtoman.Domain.WebServices.Payment.Vandar.VandarBusinessSettlementsListData
@{
    ViewBag.Title = "لیست تراکنش ها";
}

<div class="row">
    <div class="col-lg-12">
        <div class="card card-box">
            <div class="card-header">
                <a class="btn btn-primary pull-right" href="#" onclick="AddSettlement(); return false;"><i class="fa fa-plus"></i> افزودن درخواست تسویه</a>
                <p class="card-title">
                    موجودی: @Model.Wallet.ToPriceWithoutFloat() تومان<br />
                    مقدار کسر شده یا قابل برداشت امروز: @Model.DeductibleAmount.ToPriceWithoutFloat() تومان<br />
                </p>
                <div class="row">
                    <div class="col-12">
                        <ul class="list-unstyled list-inline">
                            <li class="list-inline-item pull-left">تعداد کل: @Model.Settlements.Total</li>
                            @if (Model.Settlements.LastPage != 1)
                            {
                                <li class="list-inline-item pull-right">
                                    @if (Model.Settlements.CurrentPage == 1)
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.Settlements.CurrentPage + 1), psize = Model.Settlements.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                    }
                                    else if (Model.Settlements.CurrentPage == Model.Settlements.LastPage)
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.Settlements.CurrentPage - 1), psize = Model.Settlements.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                    }
                                    else
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.Settlements.CurrentPage - 1), psize = Model.Settlements.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Transaction", new { page = (Model.Settlements.CurrentPage + 1), psize = Model.Settlements.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                    }
                                </li>
                            }
                            <li class="list-inline-item pull-right">صفحه @Model.Settlements.CurrentPage از @Model.Settlements.LastPage</li>
                        </ul>
                    </div>
                </div>
            </div>
            <div class="card-body">
                <div class="table table-responsive">
                    <table class="table table-bordered table-striped">
                        <thead>
                            <tr>
                                <th>ردیف</th>
                                <th>وضعیت</th>
                                <th>سفارش</th>
                                <th>مبلغ</th>
                                <th>تاریخ ایجاد</th>
                                <th>
                                    عملیات
                                </th>
                            </tr>
                        </thead>
                        <tbody>
                            @if (Model.Settlements.Total != 0)
                            {
                                foreach (var item in Model.Settlements.Data)
                                {
                                    <tr>
                                        <td>@item.Id</td>
                                        <td>
                                            @switch (item.StatusEnum)
                                            {
                                                case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Unsuccessful:
                                                    <span class="badge badge-danger">ناموفق</span>
                                                    break;
                                                case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Successful:
                                                case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Done:
                                                    <span class="badge badge-success">موفق</span>
                                                    break;
                                                case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Pending:
                                                    <span class="badge badge-warning">در حال انتظار</span>
                                                    break;
                                                case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Canceled:
                                                    <span class="badge badge-danger">لغو شده</span>
                                                    break;
                                                case Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Unknown:
                                                default:
                                                    <span class="badge badge-purple">نامشخص</span>
                                                    break;
                                            }
                                        </td>
                                        <td>
                                            @if (item.PaymentNumber != 0)
                                            {
                                                <a href="@Url.Action("Details", "ExchangeOrder", new { id = item.PaymentNumber })" target="_blank">
                                                    @item.PaymentNumber
                                                </a>
                                            }
                                            else
                                            {
                                                <span>بدون سفارش</span>
                                            }
                                        </td>
                                        <td>@item.Amount.ToPriceWithoutFloat() تومان</td>
                                        <td>@item.SettlementDate.DateTime.ToFaDateTimeZone()</td>
                                        <td>
                                            @if (item.StatusEnum != Xtoman.Domain.WebServices.Payment.Vandar.VandarTransactionStatus.Canceled)
                                            {
                                                <a href="#" onclick="Cancel(@item.TransactionId); return false;" class="btn btn-danger"><i class="fa fa-remove"></i> لغو</a>
                                            }
                                        </td>
                                    </tr>
                                }
                            }
                            else
                            {
                                <tr>
                                    <td colspan="6">هیچ درخواست تسویه ای وجود ندارد.</td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="card-footer">
                <div class="row">
                    <div class="col-12">
                        <ul class="list-unstyled list-inline">
                            <li class="list-inline-item pull-left">تعداد کل: @Model.Settlements.Total</li>
                            @if (Model.Settlements.LastPage != 1)
                            {
                                <li class="list-inline-item pull-right">
                                    @if (Model.Settlements.CurrentPage == 1)
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Settlement", new { page = (Model.Settlements.CurrentPage + 1), psize = Model.Settlements.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                    }
                                    else if (Model.Settlements.CurrentPage == Model.Settlements.LastPage)
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Settlement", new { page = (Model.Settlements.CurrentPage - 1), psize = Model.Settlements.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                    }
                                    else
                                    {
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Settlement", new { page = (Model.Settlements.CurrentPage - 1), psize = Model.Settlements.PerPage })"><i class="fa fa-angle-right"></i> صفحه قبل</a>
                                        <a class="btn btn-sm btn-primary" href="@Url.Action("Settlement", new { page = (Model.Settlements.CurrentPage + 1), psize = Model.Settlements.PerPage })">صفحه بعد <i class="fa fa-angle-left"></i></a>
                                    }
                                </li>
                            }
                            <li class="list-inline-item pull-right">صفحه @Model.Settlements.CurrentPage از @Model.Settlements.LastPage</li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

@section scripts{
    <script>
        var cancelSettlementUrl = "@Url.Action("CancelSettlement")";
        function Cancel(id) {
            confirmDialog("آیا از حذف درخواست تسویه حساب ردیف " + id + " مطمئن هستید؟", function () {
                var postData = {
                    id: id
                }
                doAjax(postData, cancelSettlementUrl, function () {
                    location.reload();
                });
            });
        }
    </script>
}